[openwrt/openwrt] mediatek: mt7622: validate uImage.FIT
LEDE Commits
lede-commits at lists.infradead.org
Mon Apr 21 11:06:11 PDT 2025
dangole pushed a commit to openwrt/openwrt.git, branch main:
https://git.openwrt.org/7ea0f647b9f55a6c945499d9968ba9ef43e7a5f6
commit 7ea0f647b9f55a6c945499d9968ba9ef43e7a5f6
Author: Daniel Golle <daniel at makrotopia.org>
AuthorDate: Mon Apr 21 19:03:58 2025 +0100
mediatek: mt7622: validate uImage.FIT
Validate the uImage.FIT instead of only checking the image magic.
Signed-off-by: Daniel Golle <daniel at makrotopia.org>
---
target/linux/mediatek/mt7622/base-files/lib/upgrade/platform.sh | 7 ++-----
1 file changed, 2 insertions(+), 5 deletions(-)
diff --git a/target/linux/mediatek/mt7622/base-files/lib/upgrade/platform.sh b/target/linux/mediatek/mt7622/base-files/lib/upgrade/platform.sh
index 9019eb6900..841397d4ef 100755
--- a/target/linux/mediatek/mt7622/base-files/lib/upgrade/platform.sh
+++ b/target/linux/mediatek/mt7622/base-files/lib/upgrade/platform.sh
@@ -69,11 +69,8 @@ platform_check_image() {
return $?
;;
*)
- [ "$magic" != "d00dfeed" ] && {
- echo "Invalid image type."
- return 1
- }
- return 0
+ fit_check_image "$1"
+ return $?
;;
esac
More information about the lede-commits
mailing list